// components/My_DisplayBox/index.js
Component({
    options: {
        multipleSlots: true //允许使用多个slot
    },
    /**
     * 组件的属性列表
     */
    properties: {
        title: {
            type: String,
            value: "标题"
        },
        /* 更多点击回调 */
        getExhibitionTitle: {
            type: Function
        },
        /* 是否显示更多 */
        isMore:{
            type:Boolean,
            value:true
        }
    },

    /**
     * 组件的初始数据
     */
    data: {

    },

    /**
     * 组件的方法列表
     */
    methods: {
        moreClick() {
            this.triggerEvent("getExhibitionTitle", this.data.title)
        }

    }
})