// components/My_Search/index.js
Component({
    /**
     * 组件的属性列表
     */
    properties: {
        checked: {
            type: String,
            value: '全部'
        },
        showPop: {
            type: Function
        },
        searchContent: {
            type: Function
        }
    },

    /**
     * 组件的初始数据
     */
    data: {

    },

    /**
     * 组件的方法列表
     */
    methods: {
        /* 选择分类 */
        selected() {
            this.triggerEvent("showPop")
        },
        /* 搜索 */
        onSearch({
            detail
        }) {
            this.triggerEvent('searchContent', detail.trim());
        }
    }
})