import {
    ApiModel
} from '../../../../utils/api';
const _Http = new ApiModel();
Page({

    /**
     * 页面的初始数据
     */
    data: {
        detalis: {},
        active: 0,
        pageNumber: 1,
        pageTotal: 1,
        isCanDraw: false
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        if (options.item) this.setData({
            detalis: JSON.parse(options.item)
        })
        if (options.active) this.setData({
            active: options.active-0
        })
        this.getsupplyanddemandLogList()
    },

    getsupplyanddemandLogList() {
        if (this.data.pageTotal < this.data.pageNumber) return;
        let ftype = null;
        switch (this.data.active) {
            case 0:
                ftype = 3
                break;
            case 1:
                ftype = 2
                break;
            case 2:
                ftype = 1
                break;
        }
        _Http.basic({
            "accesstoken": wx.getStorageSync('userData').token,
            "classname": "customer.supplyanddemand.supplyanddemand",
            "method": "getsupplyanddemandLogList",
            "content": {
                "tsupplyanddemandid": this.data.detalis.tsupplyanddemandid,
                ftype,
                "pageSize": 50,
                "pageNumber": this.data.pageNumber
            }
        }).then(res => {
            console.log(res)
            if (res.data.length > 0)
                for (let index = 0; index < res.data.length; index++) {
                    res.data[index].createdate = res.data[index].createdate.slice(5, 16)
                }
            if (res.pageNumber != 1) res.data = this.data.statisticsData.concat(res.data)
            this.setData({
                statisticsData: res.data,
                pageTotal: res.pageTotal
            })
        })
    },

    tabsOnChange(e) {
        this.setData({
            active: e.detail.index,
            pageNumber: 1
        })
        this.getsupplyanddemandLogList();
    },

    startDraw() {
        this.setData({
            isCanDraw: true
        })
    },
    handleClose() {
        this.setData({
            isCanDraw: !this.data.isCanDraw
        })
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {
        this.setData({
            pageNumber: this.data.pageNumber + 1
        });
        this.getsupplyanddemandLogList();
    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})