export default function queryLogin() {
    let time = null;
    if (!getApp().globalData.isLogin) {
        wx.showToast({
            title: '您当前还未登录,将自动跳转到登录界面',
            icon: "none",
            duration:2000
        })
        clearTimeout(time);
        time = setTimeout(() => {
            wx.navigateTo({
                url: '/pages/login/index',
            })
        },2000)
    }
    return getApp().globalData.isLogin;
}